=== modified file 'drizzled/foreign_key.cc'
--- drizzled/foreign_key.cc	2011-10-06 18:18:31 +0000
+++ drizzled/foreign_key.cc	2011-10-10 09:27:50 +0000
@@ -59,18 +59,16 @@
   pfkey->set_match(match_opt_arg);
   pfkey->set_update_option(update_opt_arg);
   pfkey->set_delete_option(delete_opt_arg);
-
   pfkey->set_references_table_name(table->table.data());
 
-  Key_part_spec *keypart;
   List<Key_part_spec>::iterator col_it(cols.begin());
-  while ((keypart= col_it++))
+  while (Key_part_spec* keypart= col_it++)
   {
     pfkey->add_column_names(keypart->field_name.data());
   }
 
   List<Key_part_spec>::iterator ref_it(ref_cols.begin());
-  while ((keypart= ref_it++))
+  while (Key_part_spec* keypart= ref_it++)
   {
     pfkey->add_references_columns(keypart->field_name.data());
   }
@@ -187,17 +185,15 @@
 */
 bool Foreign_key::validate(List<CreateField> &table_fields)
 {
-  CreateField  *sql_field;
-  Key_part_spec *column;
   List<Key_part_spec>::iterator cols(columns.begin());
-  List<CreateField>::iterator it(table_fields.begin());
-  while ((column= cols++))
+  while (Key_part_spec* column= cols++)
   {
-    it= table_fields.begin();
-    while ((sql_field= it++) &&
-           my_strcasecmp(system_charset_info,
-                         column->field_name.data(),
-                         sql_field->field_name)) {}
+    List<CreateField>::iterator it= table_fields.begin();
+    CreateField* sql_field;
+    while ((sql_field= it++) 
+      && my_strcasecmp(system_charset_info, column->field_name.data(), sql_field->field_name))
+    {
+    }
     if (!sql_field)
     {
       my_error(ER_KEY_COLUMN_DOES_NOT_EXITS, MYF(0), column->field_name.data());

=== modified file 'drizzled/handler_structs.h'
--- drizzled/handler_structs.h	2011-09-18 16:48:30 +0000
+++ drizzled/handler_structs.h	2011-10-10 09:27:50 +0000
@@ -88,7 +88,6 @@
     algorithm(HA_KEY_ALG_UNDEF),
     block_size(0)
   {
-    comment.clear();
   }
 
   ha_key_alg algorithm;

=== modified file 'drizzled/lex_string.h'
--- drizzled/lex_string.h	2011-10-06 18:18:31 +0000
+++ drizzled/lex_string.h	2011-10-10 09:27:50 +0000
@@ -32,12 +32,12 @@
 {
   const char* begin() const
   {
-    return str;
+    return data();
   }
 
   const char* end() const
   {
-    return str + length;
+    return data() + size();
   }
 
   const char* data() const
@@ -56,12 +56,6 @@
     length = s;
   }
 
-  void assign(char* d, size_t s)
-  {
-    str= d;
-    length = s;
-  }
-
   char* str;
   size_t length;
 };

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2011-08-15 15:27:42 +0000
+++ drizzled/sql_lex.cc	2011-10-10 12:58:39 +0000
@@ -169,8 +169,8 @@
 
   /* NOTE: utf_txt.length is in bytes, not in symbols. */
 
-  memcpy(m_body_utf8_ptr, txt->str, txt->length);
-  m_body_utf8_ptr += txt->length;
+  memcpy(m_body_utf8_ptr, txt->data(), txt->size());
+  m_body_utf8_ptr += txt->size();
   *m_body_utf8_ptr= 0;
 
   m_cpp_utf8_processed_ptr= end_ptr;

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2011-09-19 09:31:36 +0000
+++ drizzled/sql_parse.cc	2011-10-10 12:58:39 +0000
@@ -835,7 +835,7 @@
         !(((Item_func*)default_value)->functype() == Item_func::NOW_FUNC &&
          (type == DRIZZLE_TYPE_TIMESTAMP or type == DRIZZLE_TYPE_MICROTIME)))
     {
-      my_error(ER_INVALID_DEFAULT, MYF(0), field_name->str);
+      my_error(ER_INVALID_DEFAULT, MYF(0), field_name->data());
       return true;
     }
     else if (default_value->type() == Item::NULL_ITEM)
@@ -843,25 +843,25 @@
       default_value= 0;
       if ((type_modifier & (NOT_NULL_FLAG | AUTO_INCREMENT_FLAG)) == NOT_NULL_FLAG)
       {
-        my_error(ER_INVALID_DEFAULT, MYF(0), field_name->str);
+        my_error(ER_INVALID_DEFAULT, MYF(0), field_name->data());
         return true;
       }
     }
     else if (type_modifier & AUTO_INCREMENT_FLAG)
     {
-      my_error(ER_INVALID_DEFAULT, MYF(0), field_name->str);
+      my_error(ER_INVALID_DEFAULT, MYF(0), field_name->data());
       return true;
     }
   }
 
   if (on_update_value && (type != DRIZZLE_TYPE_TIMESTAMP and type != DRIZZLE_TYPE_MICROTIME))
   {
-    my_error(ER_INVALID_ON_UPDATE, MYF(0), field_name->str);
+    my_error(ER_INVALID_ON_UPDATE, MYF(0), field_name->data());
     return true;
   }
 
   CreateField* new_field= new CreateField;
-  if (new_field->init(session, field_name->str, type, length, decimals, type_modifier, *comment, change, interval_list, cs, 0, column_format)
+  if (new_field->init(session, field_name->data(), type, length, decimals, type_modifier, *comment, change, interval_list, cs, 0, column_format)
       || new_field->setDefaultValue(default_value, on_update_value))
     return true;
 
@@ -904,7 +904,7 @@
 
   if (!table)
     return NULL;				// End of memory
-  const char* alias_str= alias ? alias->str : table->table.str;
+  const char* alias_str= alias ? alias->data() : table->table.data();
   if (! table_options.test(TL_OPTION_ALIAS) &&
       check_table_name(table->table.str, table->table.length))
   {
@@ -957,7 +957,7 @@
   ptr->derived=	    table->sel;
   ptr->select_lex=  lex->current_select;
   ptr->index_hints= index_hints_arg;
-  ptr->option= option ? option->str : 0;
+  ptr->option= option ? option->data() : NULL;
   /* check that used name is unique */
   if (lock_type != TL_IGNORE)
   {
@@ -1559,14 +1559,13 @@
                               bool no_error)
 {
   int well_formed_error;
-  uint32_t res= cs->cset->well_formed_len(cs, str->str, str->str + str->length,
-                                      max_char_length, &well_formed_error);
+  uint32_t res= cs->cset->well_formed_len(cs, str->begin(), str->end(), max_char_length, &well_formed_error);
 
   if (!well_formed_error &&  str->length == res)
     return false;
 
   if (!no_error)
-    my_error(ER_WRONG_STRING_LENGTH, MYF(0), str->str, err_msg, max_char_length);
+    my_error(ER_WRONG_STRING_LENGTH, MYF(0), str->data(), err_msg, max_char_length);
   return true;
 }
 
@@ -1583,12 +1582,11 @@
   const charset_info_st * const cs= &my_charset_utf8mb4_general_ci;
 
   int well_formed_error;
-  uint32_t res= cs->cset->well_formed_len(cs, str->str, str->str + str->length,
-                                      max_char_length, &well_formed_error);
+  uint32_t res= cs->cset->well_formed_len(cs, str->begin(), str->end(), max_char_length, &well_formed_error);
 
   if (well_formed_error)
   {
-    my_error(ER_INVALID_CHARACTER_STRING, MYF(0), "identifier", str->str);
+    my_error(ER_INVALID_CHARACTER_STRING, MYF(0), "identifier", str->data());
     return true;
   }
 
@@ -1600,14 +1598,13 @@
   case EE_OK:
     break;
   case ER_WRONG_STRING_LENGTH:
-    my_error(err_code, MYF(0), str->str, param_for_err_msg, max_char_length);
+    my_error(err_code, MYF(0), str->data(), param_for_err_msg, max_char_length);
     break;
   case ER_TOO_LONG_IDENT:
-    my_error(err_code, MYF(0), str->str);
+    my_error(err_code, MYF(0), str->data());
     break;
   default:
-    assert(0);
-    break;
+    assert(false);
   }
 
   return true;

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2011-09-18 16:48:30 +0000
+++ drizzled/sql_table.cc	2011-10-10 10:13:51 +0000
@@ -806,7 +806,7 @@
       Foreign_key *fk_key= (Foreign_key*) key;
 
       add_foreign_key_to_table_message(&create_proto,
-                                       fk_key->name.str,
+                                       fk_key->name.data(),
                                        fk_key->columns,
                                        fk_key->ref_table,
                                        fk_key->ref_columns,
@@ -818,8 +818,7 @@
 	  fk_key->ref_columns.size() != fk_key->columns.size())
       {
         my_error(ER_WRONG_FK_DEF, MYF(0),
-                 (fk_key->name.str ? fk_key->name.str :
-                                     "foreign key without name"),
+                 (fk_key->name.data() ? fk_key->name.data() : "foreign key without name"),
                  ER(ER_KEY_REF_DO_NOT_MATCH_TABLE_REF));
 	return true;
       }
@@ -845,7 +844,7 @@
           Then we do not need the generated shorter key.
         */
         if ((key2->type != Key::FOREIGN_KEY &&
-             key2->name.str != ignore_key &&
+             key2->name.data() != ignore_key &&
              !foreign_key_prefix(key, key2)))
         {
           /* @todo issue warning message */
@@ -864,13 +863,13 @@
         }
       }
     }
-    if (key->name.str != ignore_key)
+    if (key->name.data() != ignore_key)
       key_parts+=key->columns.size();
     else
       (*key_count)--;
-    if (key->name.str && !tmp_table && (key->type != Key::PRIMARY) && is_primary_key(key->name.str))
+    if (key->name.data() && !tmp_table && (key->type != Key::PRIMARY) && is_primary_key(key->name.str))
     {
-      my_error(ER_WRONG_NAME_FOR_INDEX, MYF(0), key->name.str);
+      my_error(ER_WRONG_NAME_FOR_INDEX, MYF(0), key->name.data());
       return true;
     }
   }
@@ -891,12 +890,12 @@
     uint32_t key_length=0;
     Key_part_spec *column;
 
-    if (key->name.str == ignore_key)
+    if (key->name.data() == ignore_key)
     {
       /* ignore redundant keys */
       do
 	key=key_iterator++;
-      while (key && key->name.str == ignore_key);
+      while (key && key->name.data() == ignore_key);
       if (!key)
 	break;
     }
@@ -952,7 +951,7 @@
       field=0;
       while ((sql_field=it++) && ++proto_field_nr &&
 	     my_strcasecmp(system_charset_info,
-			   column->field_name.str,
+			   column->field_name.data(),
 			   sql_field->field_name))
       {
 	field++;
@@ -960,18 +959,18 @@
 
       if (!sql_field)
       {
-	my_error(ER_KEY_COLUMN_DOES_NOT_EXITS, MYF(0), column->field_name.str);
+	my_error(ER_KEY_COLUMN_DOES_NOT_EXITS, MYF(0), column->field_name.data());
 	return true;
       }
 
       while ((dup_column= cols2++) != column)
       {
         if (!my_strcasecmp(system_charset_info,
-                           column->field_name.str, dup_column->field_name.str))
+                           column->field_name.data(), dup_column->field_name.data()))
 	{
 	  my_printf_error(ER_DUP_FIELDNAME,
 			  ER(ER_DUP_FIELDNAME),MYF(0),
-			  column->field_name.str);
+			  column->field_name.data());
 	  return true;
 	}
       }
@@ -987,12 +986,12 @@
         {
           if (! (engine->check_flag(HTON_BIT_CAN_INDEX_BLOBS)))
           {
-            my_error(ER_BLOB_USED_AS_KEY, MYF(0), column->field_name.str);
+            my_error(ER_BLOB_USED_AS_KEY, MYF(0), column->field_name.data());
             return true;
           }
           if (! column->length)
           {
-            my_error(ER_BLOB_KEY_WITHOUT_LENGTH, MYF(0), column->field_name.str);
+            my_error(ER_BLOB_KEY_WITHOUT_LENGTH, MYF(0), column->field_name.data());
             return true;
           }
         }
@@ -1018,7 +1017,7 @@
             key_info->flags|= HA_NULL_PART_KEY;
             if (! (engine->check_flag(HTON_BIT_NULL_IN_KEY)))
             {
-              my_error(ER_NULL_COLUMN_IN_INDEX, MYF(0), column->field_name.str);
+              my_error(ER_NULL_COLUMN_IN_INDEX, MYF(0), column->field_name.data());
               return true;
             }
           }
@@ -1075,7 +1074,7 @@
       }
       else if (length == 0)
       {
-	my_error(ER_WRONG_KEY_COLUMN, MYF(0), column->field_name.str);
+	my_error(ER_WRONG_KEY_COLUMN, MYF(0), column->field_name.data());
 	  return true;
       }
       if (length > engine->max_key_part_length())
@@ -1137,7 +1136,7 @@
 	  key_name=pkey_name;
 	  primary_key=1;
 	}
-	else if (!(key_name= key->name.str))
+	else if (!(key_name= key->name.data()))
 	  key_name=make_unique_key_name(sql_field->field_name,
 					*key_info_buffer, key_info);
 	if (check_if_keyname_exists(key_name, *key_info_buffer, key_info))
@@ -1806,7 +1805,7 @@
       {
         session->getClient()->store(table_name.c_str());
         session->getClient()->store(operator_name);
-        session->getClient()->store(warning_level_names[err->level].str, warning_level_names[err->level].length);
+        session->getClient()->store(warning_level_names[err->level].data(), warning_level_names[err->level].size());
         session->getClient()->store(err->msg);
         if (session->getClient()->flush())
           goto err;

=== modified file 'drizzled/statement/alter_schema.cc'
--- drizzled/statement/alter_schema.cc	2011-08-08 12:51:19 +0000
+++ drizzled/statement/alter_schema.cc	2011-10-10 12:58:39 +0000
@@ -42,7 +42,7 @@
   if (not validateSchemaOptions())
     return true;
 
-  identifier::Schema schema_identifier(string(db->str, db->length));
+  identifier::Schema schema_identifier(string(db->data(), db->size()));
 
   if (not schema::check(session(), schema_identifier))
   {
@@ -51,7 +51,7 @@
     return false;
   }
 
-  identifier::Schema identifier(db->str);
+  identifier::Schema identifier(db->data());
   if (not (old_definition= plugin::StorageEngine::getSchemaDefinition(identifier)))
   {
     my_error(ER_SCHEMA_DOES_NOT_EXIST, identifier); 

=== modified file 'drizzled/statement/execute.cc'
--- drizzled/statement/execute.cc	2011-08-10 17:58:23 +0000
+++ drizzled/statement/execute.cc	2011-10-10 09:54:42 +0000
@@ -59,8 +59,7 @@
     if (var && var->length && var->value && var->type == STRING_RESULT)
     {
       lex_string_t tmp_for_var;
-      tmp_for_var.str= var->value; 
-      tmp_for_var.length= var->length; 
+      tmp_for_var.assign(var->value, var->length); 
       to_execute.set(tmp_for_var);
 
       return true;
@@ -71,9 +70,9 @@
 }
 
 
-bool statement::Execute::runStatement(plugin::NullClient *client, const std::string &arg)
+bool statement::Execute::runStatement(plugin::NullClient& client, const std::string &arg)
 {
-  client->pushSQL(arg);
+  client.pushSQL(arg);
   if (not session().executeStatement())
     return true;
 
@@ -128,9 +127,9 @@
     if (is_quiet)
     {
       plugin::Client *temp= session().getClient();
-      plugin::NullClient *null_client= new plugin::NullClient;
+      boost::scoped_ptr<plugin::NullClient> null_client(new plugin::NullClient);
 
-      session().setClient(null_client);
+      session().setClient(null_client.get());
       
       bool error_occured= false;
       bool is_savepoint= false;
@@ -147,7 +146,7 @@
           start_sql.append("START TRANSACTION");
         }
 
-        error_occured= runStatement(null_client, start_sql);
+        error_occured= runStatement(*null_client, start_sql);
       }
 
       // @note this is copied from code in NULL client, all of this belongs
@@ -155,14 +154,14 @@
       if (not error_occured)
       {
         typedef boost::tokenizer<boost::escaped_list_separator<char> > Tokenizer;
-        std::string full_string(to_execute.str, to_execute.length);
+        std::string full_string(to_execute.data(), to_execute.size());
         Tokenizer tok(full_string, boost::escaped_list_separator<char>("\\", ";", "\""));
 
-        for (Tokenizer::iterator iter= tok.begin();
-             iter != tok.end() and session().getKilled() != Session::KILL_CONNECTION;
-             ++iter)
+        for (Tokenizer::iterator iter= tok.begin(); iter != tok.end(); ++iter)
         {
-          if (runStatement(null_client, *iter))
+          if (session().getKilled() == Session::KILL_CONNECTION)
+            break;
+          if (runStatement(*null_client, *iter))
           {
             error_occured= true;
             break;
@@ -174,18 +173,18 @@
           std::string final_sql;
           if (is_savepoint)
           {
-            final_sql.append(error_occured ? 
+            final_sql= error_occured ? 
               "ROLLBACK TO SAVEPOINT execute_internal_savepoint" : 
-              "RELEASE SAVEPOINT execute_internal_savepoint");
+              "RELEASE SAVEPOINT execute_internal_savepoint";
           }
           else
           {
-            final_sql.append(error_occured ? "ROLLBACK" : "COMMIT");
+            final_sql= error_occured ? "ROLLBACK" : "COMMIT";
           }
 
           // Run the cleanup command, we currently ignore if an error occurs
           // here.
-          (void)runStatement(null_client, final_sql);
+          (void)runStatement(*null_client, final_sql);
         }
       }
 
@@ -202,11 +201,10 @@
       session().my_ok();
 
       null_client->close();
-      delete null_client;
     }
     else
     {
-      parse(session(), to_execute.str, to_execute.length);
+      parse(session(), to_execute.data(), to_execute.size());
     }
   }
 

=== modified file 'drizzled/statement/execute.h'
--- drizzled/statement/execute.h	2011-03-29 12:45:08 +0000
+++ drizzled/statement/execute.h	2011-10-10 09:54:42 +0000
@@ -34,7 +34,7 @@
 
   bool parseVariable(void);
 
-  bool runStatement(plugin::NullClient *client, const std::string &arg);
+  bool runStatement(plugin::NullClient&, const std::string&);
 
   bool execute_shell();
 public:
@@ -47,4 +47,3 @@
 } /* namespace statement */
 
 } /* namespace drizzled */
-

=== modified file 'drizzled/statement/release_savepoint.cc'
--- drizzled/statement/release_savepoint.cc	2011-06-23 10:47:03 +0000
+++ drizzled/statement/release_savepoint.cc	2011-10-10 09:54:42 +0000
@@ -46,11 +46,8 @@
   {
     NamedSavepoint &sv= *iter;
     const string &sv_name= sv.getName();
-    if (my_strnncoll(system_charset_info,
-                     (unsigned char *) lex().ident.str,
-                     lex().ident.length,
-                     (unsigned char *) sv_name.c_str(),
-                     sv_name.size()) == 0)
+    if (my_strnncoll(system_charset_info, (unsigned char *) lex().ident.data(), 
+      lex().ident.size(), (unsigned char *) sv_name.c_str(), sv_name.size()) == 0)
       break;
   }
   if (iter != savepoints.end())
@@ -62,10 +59,7 @@
   }
   else
   {
-    my_error(ER_SP_DOES_NOT_EXIST, 
-             MYF(0), 
-             "SAVEPOINT", 
-             lex().ident.str);
+    my_error(ER_SP_DOES_NOT_EXIST, MYF(0), "SAVEPOINT", lex().ident.data());
   }
   return false;
 }

=== modified file 'drizzled/statement/rollback_to_savepoint.cc'
--- drizzled/statement/rollback_to_savepoint.cc	2011-06-23 10:47:03 +0000
+++ drizzled/statement/rollback_to_savepoint.cc	2011-10-10 09:54:42 +0000
@@ -69,10 +69,7 @@
   /* Short-circuit for no savepoints */
   if (savepoints.empty())
   {
-    my_error(ER_SP_DOES_NOT_EXIST, 
-             MYF(0), 
-             "SAVEPOINT", 
-             lex().ident.str);
+    my_error(ER_SP_DOES_NOT_EXIST, MYF(0), "SAVEPOINT", lex().ident.data());
     return false;
   }
 
@@ -81,8 +78,8 @@
     NamedSavepoint &first_savepoint= savepoints.front();
     const string &first_savepoint_name= first_savepoint.getName();
     if (my_strnncoll(system_charset_info,
-                     (unsigned char *) lex().ident.str, 
-                     lex().ident.length,
+                     (unsigned char *) lex().ident.data(), 
+                     lex().ident.size(),
                      (unsigned char *) first_savepoint_name.c_str(), 
                      first_savepoint_name.size()) == 0)
     {
@@ -117,8 +114,8 @@
     const string &sv_name= sv.getName();
     if (! found && 
         my_strnncoll(system_charset_info,
-                     (unsigned char *) lex().ident.str, 
-                     lex().ident.length,
+                     (unsigned char *) lex().ident.data(), 
+                     lex().ident.size(),
                      (unsigned char *) sv_name.c_str(), 
                      sv_name.size()) == 0)
     {
@@ -155,10 +152,7 @@
   {
     /* restore the original savepoint list */
     transaction().savepoints= copy_savepoints;
-    my_error(ER_SP_DOES_NOT_EXIST, 
-             MYF(0), 
-             "SAVEPOINT", 
-             lex().ident.str);
+    my_error(ER_SP_DOES_NOT_EXIST, MYF(0), "SAVEPOINT", lex().ident.data());
   }
   return false;
 }

=== modified file 'drizzled/statement/savepoint.cc'
--- drizzled/statement/savepoint.cc	2011-06-23 10:47:03 +0000
+++ drizzled/statement/savepoint.cc	2011-10-10 09:54:42 +0000
@@ -71,8 +71,8 @@
       NamedSavepoint &sv= *iter;
       const string &sv_name= sv.getName();
       if (my_strnncoll(system_charset_info,
-                       (unsigned char *) lex().ident.str,
-                       lex().ident.length,
+                       (unsigned char *) lex().ident.data(),
+                       lex().ident.size(),
                        (unsigned char *) sv_name.c_str(),
                        sv_name.size()) == 0)
         break;
@@ -84,7 +84,7 @@
       savepoints.erase(iter);
     }
     
-    NamedSavepoint newsv(lex().ident.str, lex().ident.length);
+    NamedSavepoint newsv(lex().ident.data(), lex().ident.size());
 
     if (TransactionServices::setSavepoint(session(), newsv))
     {

=== modified file 'drizzled/table/instance/base.cc'
--- drizzled/table/instance/base.cc	2011-08-19 09:09:12 +0000
+++ drizzled/table/instance/base.cc	2011-10-10 10:13:51 +0000
@@ -744,14 +744,12 @@
 
     if (! indx.has_comment())
     {
-      keyinfo->comment.length= 0;
-      keyinfo->comment.str= NULL;
+      keyinfo->comment.assign(NULL, 0);
     }
     else
     {
       keyinfo->flags|= HA_USES_COMMENT;
-      keyinfo->comment.length= indx.comment().length();
-      keyinfo->comment.str= mem().strdup(indx.comment());
+      keyinfo->comment.assign(mem().strdup(indx.comment()), indx.comment().length());
     }
 
     keyinfo->name= mem().strdup(indx.name());
@@ -980,13 +978,11 @@
     lex_string_t comment;
     if (!pfield.has_comment())
     {
-      comment.str= (char*)"";
-      comment.length= 0;
+      comment.assign("", 0);
     }
     else
     {
-      comment.str= mem().strdup(pfield.comment());
-      comment.length= pfield.comment().size();
+      comment.assign(mem().strdup(pfield.comment()), pfield.comment().size());
     }
 
     enum_field_types field_type;

=== modified file 'drizzled/util/data_ref.h'
--- drizzled/util/data_ref.h	2011-08-08 16:50:37 +0000
+++ drizzled/util/data_ref.h	2011-10-10 12:58:39 +0000
@@ -27,6 +27,7 @@
 public:
   data_ref_basic()
   {
+    clear();
   }
 
   template <class U>
@@ -53,11 +54,10 @@
     assign(b, strlen(b));
   }
 
-  const data_ref_basic& clear()
+  void clear()
   {
     begin_ = NULL;
     end_ = NULL;
-    return *this;
   }
 
   void assign(const void* b, const void* e)

=== modified file 'plugin/mysql_protocol/mysql_protocol.cc'
--- plugin/mysql_protocol/mysql_protocol.cc	2011-08-19 07:50:07 +0000
+++ plugin/mysql_protocol/mysql_protocol.cc	2011-10-10 09:27:50 +0000
@@ -405,7 +405,7 @@
   char *tmp= strncpy((char*)pos, err, DRIZZLE_ERRMSG_SIZE-1);
   tmp+= strlen((char*)pos);
   tmp[0]= '\0';
-  net.write_command(255, data_ref().clear(), data_ref(buff, tmp));
+  net.write_command(255, data_ref(), data_ref(buff, tmp));
   net.flush();
   session->main_da().can_overwrite_status= false;
 }
@@ -686,7 +686,7 @@
     *end++= 0; /* an empty byte for some reason */
 
     /* At this point we write connection message and read reply */
-    if (net.write_command(PROTOCOL_VERSION, data_ref().clear(), data_ref(buff, end)) 
+    if (net.write_command(PROTOCOL_VERSION, data_ref(), data_ref(buff, end)) 
         || (pkt_len= net.read()) == packet_error 
         || pkt_len < MIN_HANDSHAKE_SIZE)
     {

=== modified file 'plugin/pbms/src/discover_ms.cc'
--- plugin/pbms/src/discover_ms.cc	2011-08-04 08:13:04 +0000
+++ plugin/pbms/src/discover_ms.cc	2011-10-10 12:58:39 +0000
@@ -658,7 +658,7 @@
 	break;
     case Key::FULLTEXT:
 	key_info->flags= HA_FULLTEXT;
-	if ((key_info->parser_name= &key->key_create_info.parser_name)->str)
+	if ((key_info->parser_name= &key->key_create_info.parser_name)->data())
           key_info->flags|= HA_USES_PARSER;
         else
           key_info->parser_name= 0;

